<?php
require_once("/usr/local/lib64/webtools/config/config.php");
require_once('Log.php');
?>

<?php

global $USER, $RUNAS_USER, $RUNAS_CMD, $BECOMEDATA, $BECOMEDATA_OPTS, $WEB_LOG_FACILITY;

// try and get some passed variables
$searchterm = NULL;
if (isset($_POST['searchterm']) && $_POST['searchterm'] != "")
    $searchterm = $_POST['searchterm'];
else {
    echo "<p></p>You forgot to enter a searchterm. Try again.";
    exit;
}

// setup logger
$tool = basename(dirname($_SERVER['PHP_SELF']));
$logger = &Log::factory('syslog', $WEB_LOG_FACILITY, 'webtool');

// search for become data
$user_cmd = "$BECOMEDATA $BECOMEDATA_OPTS $searchterm";
$exec_target = "$RUNAS_CMD $RUNAS_USER $user_cmd";
exec($exec_target, $result, $status);
if ($status == 0) {
    $logger->log("SUCCESS:$tool:$USER:becomedata found $searchterm", PEAR_LOG_INFO);

    // so we show off our loader ;)
    sleep(2);

    $output=implode('<br />', $result);
    echo '<p></p>' . $output;
} else {
    $logger->log("FAILURE:$tool:$USER:becomedata nothing found for $searchterm", PEAR_LOG_INFO);

    echo "<p></p>Nothing found";
}

?>
